### Enumeration

# SpiceClientGLib SessionMigration

#### Declaration

    enum SpiceClientGLib.SessionMigration

#### Description [src]

Session migration state.

#### Members

`SPICE_SESSION_MIGRATION_NONE`

  No migration going on.

  - Value: `0`
  - Available since: 2.0
`SPICE_SESSION_MIGRATION_SWITCHING`

  The session is switching host (destroy and reconnect).

  - Value: `1`
  - Available since: 2.0
`SPICE_SESSION_MIGRATION_MIGRATING`

  The session is migrating seamlessly (reconnect).

  - Value: `2`
  - Available since: 2.0
`SPICE_SESSION_MIGRATION_CONNECTING`

  The migration is connecting to destination (Since: 0.27).

  - Value: `3`
  - Available since: 2.0